package com.kingdee.eas.custom.entryconfig;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDataConfigSelectFieldEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractDataConfigSelectFieldEntryInfo()
    {
        this("id");
    }
    protected AbstractDataConfigSelectFieldEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 已选字段 's null property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigInfo getParent()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.entryconfig.DataConfigInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:已选字段's 数据类型property 
     */
    public com.kingdee.eas.custom.entryconfig.enumlist.DataTypeEnum getDataType()
    {
        return com.kingdee.eas.custom.entryconfig.enumlist.DataTypeEnum.getEnum(getString("dataType"));
    }
    public void setDataType(com.kingdee.eas.custom.entryconfig.enumlist.DataTypeEnum item)
    {
		if (item != null) {
        setString("dataType", item.getValue());
		}
    }
    /**
     * Object:已选字段's 字段标识property 
     */
    public String getFieldKey()
    {
        return getString("fieldKey");
    }
    public void setFieldKey(String item)
    {
        setString("fieldKey", item);
    }
    /**
     * Object:已选字段's 数据库字段property 
     */
    public String getDatabaseName()
    {
        return getString("databaseName");
    }
    public void setDatabaseName(String item)
    {
        setString("databaseName", item);
    }
    /**
     * Object:已选字段's 字段别名property 
     */
    public String getFieldName()
    {
        return getString("fieldName");
    }
    public void setFieldName(String item)
    {
        setString("fieldName", item);
    }
    /**
     * Object:已选字段's 映射字段property 
     */
    public String getMappingKey()
    {
        return getString("mappingKey");
    }
    public void setMappingKey(String item)
    {
        setString("mappingKey", item);
    }
    /**
     * Object:已选字段's 数据源property 
     */
    public String getDataEntry()
    {
        return getString("dataEntry");
    }
    public void setDataEntry(String item)
    {
        setString("dataEntry", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("EC03DE5F");
    }
}